Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockTableCell

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlockTableCell

Enclosing class:
  TdApi

public static final class TdApi.PageBlockTableCell extends TdApi.Object
Represents a cell of a table.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.PageBlockHorizontalAlignment`
`align`
Horizontal cell content alignment.
`int`
`colspan`
The number of columns the cell spans.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isHeader`
True, if it is a header cell.
`int`
`rowspan`
The number of rows the cell spans.
`TdApi.RichText`
`text`
Cell text; may be null.
`TdApi.PageBlockVerticalAlignment`
`valign`
Vertical cell content alignment.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockTableCell()`
Represents a cell of a table.
`PageBlockTableCell(TdApi.RichText text, boolean isHeader, int colspan, int rowspan, TdApi.PageBlockHorizontalAlignment align, TdApi.PageBlockVerticalAlignment valign)`
Represents a cell of a table.
`PageBlockTableCell(DataInput input)`
Represents a cell of a table.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.RichText text
Cell text; may be null. If the text is null, then the cell must be invisible.

### isHeader

public boolean isHeader
True, if it is a header cell.

### colspan

public int colspan
The number of columns the cell spans.

### rowspan

public int rowspan
The number of rows the cell spans.

### align

public TdApi.PageBlockHorizontalAlignment align
Horizontal cell content alignment.

### valign

public TdApi.PageBlockVerticalAlignment valign
Vertical cell content alignment.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockTableCell

public PageBlockTableCell()
Represents a cell of a table.

### PageBlockTableCell

public PageBlockTableCell(TdApi.RichText text, boolean isHeader, int colspan, int rowspan, TdApi.PageBlockHorizontalAlignment align, TdApi.PageBlockVerticalAlignment valign)
Represents a cell of a table.

Parameters:
  `text` - Cell text; may be null. If the text is null, then the cell must be invisible.
  `isHeader` - True, if it is a header cell.
  `colspan` - The number of columns the cell spans.
  `rowspan` - The number of rows the cell spans.
  `align` - Horizontal cell content alignment.
  `valign` - Vertical cell content alignment.

### PageBlockTableCell

public PageBlockTableCell(DataInput input) throws IOException
Represents a cell of a table.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`